/*
 * ps2.h - a library to interface with ps2 devices. See comments in
 * ps2.cpp.
 * Written by Chris J. Kiick, January 2008, completely rewritten by Simon Augustin in August/September 2013
 * Release into public domain.
 */

#ifndef ps2_h
#define ps2_h
#include <avr/io.h>

//#include "WProgram.h" //heit jetzt Arduino.h und includiert noch viele weitere Arduino-spezifische Dateien. Muss den Mist also wohl selber angehen.

//	PS2(int clk, int data);
//	unsigned char ps2_init(void);
	
	//void ps2_write(unsigned char data);
	//unsigned char ps2_read(void);
	void my_ps2write(unsigned char data);
	uint32_t my_ps2read(int numpackets);
	//int _ps2clk;
	//int _ps2data;

//PIN DEFINES
#define _ps2clk 6
#define _ps2data 5
#define HIGH 1
#define LOW 0
#define INPUT 0
#define OUTPUT 1

	void ps2_golo(int pin);
	void ps2_gohi(int pin);
	int digitalRead(int pin);

#endif /* ps2_h */

